Mailinglist Archive: opensuse-buildservice (253 mails)

< Previous Next >
Re: [opensuse-buildservice] Other Platforms than (open)SUSE in BS
  • From: "Jigish Gohil" <jigish.gohil@xxxxxxxxx>
  • Date: Fri, 17 Nov 2006 20:50:02 +0530
  • Message-id: <b317ae5c0611170720w5ea71611o364d8c739802e3c9@xxxxxxxxxxxxxx>
On 11/17/06, Michael Schroeder <mls@xxxxxxx> wrote:


This makes it hard for people that import your package and use
different repository names. I think it's better to use

%if 0%{?suse_version} >= 1010
BuildRequires: xorg-x11-compat70-devel
%endif
%if 0%{?suse_version} != 1000
BuildRequires: libdrm-devel
%endif


Yeah that was a special case, as XOrg7_SUSE_Linux_10.1 doesn't require
xorg-x11-compat70-devel too and caused a clash in BS.

The above way is proper.

-J
---------------------------------------------------------------------
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >
Follow Ups